Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000171openvibe-designerbug reportpublic2015-03-20 17:002015-09-10 14:28
Reportertoncho11 
Assigned Tojtlindgr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOpenVibe 0.18OSWindowsOS Version
Summary0000171: Stream Switch does not work for stimulations
DescriptionI have one input stimulation stream and two output in my Stream Switch.

Steps To ReproduceUse such a box and the Designer will crash.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001196)
toncho11 (reporter)
2015-03-23 16:08

I think it was never designed for redirecting stimulations.

You can just close this issue. We are using lua script now.
(0001197)
jtlindgr (administrator)
2015-03-24 09:11

Nevertheless, the situation should IMO be handled gracefully, for example not allowing selecting of a stimulation stream if it doesn't work.
(0001198)
toncho11 (reporter)
2015-03-24 11:48

There should be a clear way to switch stream stimulations. Currently I use a lua script.
(0001202)
jtlindgr (administrator)
2015-09-10 14:28

Just pushed a fix to git which removes the useless restriction on the stream types when attempting to change them. Once all streams are typed correctly as stimulation, it seems to work.

- Issue History
Date Modified Username Field Change
2015-03-20 17:00 toncho11 New Issue
2015-03-23 16:08 toncho11 Note Added: 0001196
2015-03-24 09:11 jtlindgr Note Added: 0001197
2015-03-24 09:12 jtlindgr Assigned To => jtlindgr
2015-03-24 09:12 jtlindgr Status new => acknowledged
2015-03-24 11:48 toncho11 Note Added: 0001198
2015-09-10 14:28 jtlindgr Note Added: 0001202
2015-09-10 14:28 jtlindgr Status acknowledged => resolved
2015-09-10 14:28 jtlindgr Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker